<link rel="import" href="/extern/bower_components/paper-tabs/paper-tabs.html">
<link rel="import" href="/extern/bower_components/iron-pages/iron-pages.html">
<link rel="import" href="/ts/common-elements/key-value-pair/key-value-pair.html">
<link rel="import" href="/ts/common-elements/reset-css/reset-css.html">
<link rel="import" href="/extern/bower_components/neon-animation/neon-animated-pages.html">
<link rel="import" href="about-info.html">
<link rel="import" href="core-dumps.html">

<dom-module id="ts-gui-about">
    <template>
        <style include="reset-css"></style>
        <style>
[tabs-container] paper-tabs{width:400px;margin:0 auto}[tabs-container] paper-tabs paper-tab{font-family:Roboto,Noto,sans-serif;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility}iron-pages{margin-top:60px}:host ::content .about-info>div{overflow:auto}

</style>
        <div tabs-container>
            <paper-tabs selected="{{selected}}">
                <paper-tab>About info</paper-tab>
                <paper-tab>Core dumps</paper-tab>
            </paper-tabs>
        </div>
        <neon-animated-pages selected="[[selected]]">
          <about-info>
            <content select=".about-info"></content>
          </about-info>
          <core-dumps>
            <content select=".core-dumps"></content>
          </core-dumps>
        </neon-animated-pages>
    </template>
    <script>
Polymer({is:"ts-gui-about",properties:{selected:{type:String,value:0}}});
</script>
</dom-module>
